<template>
  <div class="schedule block">
    <div class="kit table operating mode">
      <table class="table">
        <caption>
          Режим работы
          <span
            class="now"
            v-if="today">
            Сегодня с  <span>{{ today.opening_time }}</span>
            до  {{ today.closing_time }}</span>
        </caption>

        <thead/>
        <tbody>
          <tr>

            <td
              v-for="day in schedule"
              :key="day.id"
              class="day"
              :class="{active:day.day_number === new Date().getDay()}">
              <div
                class="time block"
                v-if="day.opening_time && day.closing_time">
                <div class="time set">
                  {{ day.opening_time }}
                </div>
                <div class="time ">
                  {{ day.closing_time }}
                </div>
              </div>
              <div
                class="time block"
                v-else>
                <div class="time not set">00:00</div>
                <div class="time not set">00:00</div>
              </div>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <div class="kit table operating mode">
      <table class="table">
        <caption>Обед</caption>
        <thead>
          <tr/>
        </thead>
        <tbody>
          <tr>
            <td
              v-for="day in schedule"
              :key="day.id"
              class="day"
              :class="{active:day.day_number === new Date().getDay()}">
              <div
                class="time block"
                v-if="day.dinner_begin_time && day.dinner_end_time">
                <div class="time not set">
                  {{ day.dinner_begin_time }}
                </div>
                <div class="time not set">
                  {{ day.dinner_end_time }}
                </div>
              </div>
              <div
                class="time block"
                v-else>
                <div class="time not set">00:00</div>
                <div class="time not set">00:00</div>
              </div>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Calendar',
  props: {
    schedule: {
      type: Array,
      default() { return []; },
    },
  },
  data() {
    return {
      dayNames: ['Пн', 'Вт', 'Ср', 'Чт', 'Пт', 'Сб', 'Вс'],
      active: false,

    };
  },
  computed: {
    dayWork() {
      return new Date().getDay();
    },
    today() {
      const dayNumber = this.dayWork === 0
        ? 7
        : this.dayWork;

      return this.schedule.find(day => day.day_number === dayNumber) || null;
    },
  },

};
</script>

<style lang="scss" scoped>
  @import "~/assets/scss/modules/_calendar.scss";
</style>
